Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
search
/
analyses
List All Analyses
curl --request GET \
  --url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/analyses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "internal_id": "<string>",
      "website": "<string>",
      "brand": "<string>",
      "sources": [],
      "devices": [],
      "country": "<string>",
      "language": "<string>",
      "num_keywords": 123,
      "num_thematics": 123,
      "num_topics": 123,
      "query_fanouts_enabled": true,
      "shopping_enabled": true,
      "category": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "name": "<string>",
      "brand_official_name": "<string>",
      "collect": {
        "id": "<string>",
        "progress": 123,
        "date": "2023-11-07T05:31:56Z"
      },
      "created_by": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required
workspace_id
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

data
AnalysisListItemResponse · object[]
required

Items for the current page.

pagination
Pagination · object
required

Pagination metadata.